> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Secure Baseline scans for instance

> Returns secure baseline scans for the instance associated with the access token.

Each secure baseline scan returned by the API includes information such as scan ID, target name, scan status, start and end times, and summary of findings.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/scans/baseline
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/scans/baseline:
    get:
      tags:
        - Scans
      summary: Secure Baseline scans for instance
      description: "Returns secure baseline scans for the instance associated with the access token.\r\n\r\nEach secure baseline scan returned by the API includes information such as scan ID, target name, scan status, start and end times, and summary of findings.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetBaselineScans
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompletedSbScansJson'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  schemas:
    GetCompletedSbScansJson:
      title: Get Completed Secure Baseline Scans JSON
      type: object
      properties:
        header:
          $ref: '#/components/schemas/CompletedSbHeader'
        secure_baseline_scans:
          title: Secure Baseline Scans
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/CompletedSbScans'
          description: List of completed secure baseline scans.
      additionalProperties: false
      description: >-
        Represents the JSON structure for retrieving completed secure baseline
        scans.
    CompletedSbHeader:
      title: Completed Secure Baseline Scan Header
      type: object
      properties:
        average_secure_baseline_grade:
          title: Average Secure Baseline Grade
          type: number
          description: Average grade of all completed secure baseline scans.
          format: double
        average_secure_baseline_grade_alpha:
          title: Average Secure Baseline Grade Alpha
          type:
            - string
            - 'null'
          description: Alphabetical representation of the average secure baseline grade.
      additionalProperties: false
      description: Represents the header information for completed secure baseline scans.
    CompletedSbScans:
      title: Completed Secure Baseline Scan
      type: object
      properties:
        scan_id:
          title: Scan Id
          type:
            - string
            - 'null'
          description: Unique identifier for the scan.
        scan_name:
          title: Scan Name
          type:
            - string
            - 'null'
          description: Name of the scan.
        scan_type:
          title: Scan Type
          type:
            - string
            - 'null'
          description: Type of the scan.
        failed_tests:
          title: Passed Tests
          type: integer
          description: Number of tests that passed in the secure baseline scan.
          format: int32
        score:
          title: Failed Tests
          type: number
          description: Number of tests that failed in the secure baseline scan.
          format: double
        scan_started:
          title: Scan Start Time
          type:
            - string
            - 'null'
          description: Date and time when the scan started.
        scan_finished:
          title: Scan Finish Time
          type:
            - string
            - 'null'
          description: Date and time when the scan finished.
        grade:
          title: Grade
          type: number
          description: Overall grade of the scan.
          format: double
        grade_alpha:
          title: Grade Alpha
          type:
            - string
            - 'null'
          description: Alphabetical representation of the scan grade.
        issuing_user:
          title: Issuing User
          type:
            - string
            - 'null'
          description: User who issued the scan.
        target_details:
          title: Target Details
          type:
            - string
            - 'null'
          description: Details about the target of the secure baseline scan.
      additionalProperties: false
      description: Represents a completed secure baseline scan with its associated details.

````